Subject: bug#74855: 30.0.92; dired - slow copy across (wireless) LAN

From: Michael Albinus <[email-masked]>
Date: Thu, 19 Dec 2024 23:27:20 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>>> Thanks.  Would it be possible to detect this situation and either warn
>>> the user about it, or even automatically switch over to scp?
>>
>> What would be the check? "A user wants to copy 600 files, with about 2GB
>> data total, via ssh"? Tramp doesn't know this, it works file-wise. Such a
>> check must reside in dired, but I still doubt we'll find a good rule.
>
> Something along those lines is what I imagined, yes.  The rule might not
> be perfect, but we could probably come up with some reasonable defaults
> if we thought about it.  But if it's not an interesting suggestion, then
> that's fine by me.

If somebody adds this to dired, I won't object. Personally, I'm not interested.

> Thanks for the explanation!

Best regards, Michael.